std::__detail::_Mask_range_hashing Struct Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

## Public Types

typedef std::size_t | first_argument_type
typedef std::size_t | result_type
typedef std::size_t | second_argument_type

## Public Member Functions

result_type | operator() (first_argument_type __num, second_argument_type __den) const noexcept

## Detailed Description

Range hashing function assuming that second arg is a power of 2.

Definition at line 494 of file hashtable_policy.h.

## Member Typedef Documentation

## first_argument_type

typedef std::size_t std::__detail::_Mask_range_hashing::first_argument_type

Definition at line 496 of file hashtable_policy.h.

## result_type

typedef std::size_t std::__detail::_Mask_range_hashing::result_type

Definition at line 498 of file hashtable_policy.h.

## second_argument_type

typedef std::size_t std::__detail::_Mask_range_hashing::second_argument_type

Definition at line 497 of file hashtable_policy.h.

## Member Function Documentation

## operator()()

result_type std::__detail::_Mask_range_hashing::operator() | ( | first_argument_type | __num,
|  | second_argument_type | __den
| ) |  | const

inline noexcept

Definition at line 501 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h